/**
 * 
 */
package mutationRules;

import utilities.ModelError;
import utilities.Individual;

/**
 * 
 * This is the interface for a mutation rule.
 * @author Kevin J.S. Zollman
 *
 */
public interface MutationRule {
	public void mutate(Individual i) throws ModelError;
	public void setMutationRate(double m, int s) throws ModelError;
	public double getMutationRate();
}
